# Gimp.Procedure.new_return_values

    @accepts(Gimp.Procedure, Gimp.PDBStatusType, GLib.Error)
    @returns(Gimp.ValueArray)
    def new_return_values(self, status, error):
        # Python wrapper for gimp_procedure_new_return_values()

Format the expected return values from procedures.

Since 3.0

self

  the procedure.

status

  the success status of the procedure run.

error

  an optional GLib.Error. This parameter should be set if status is either #GIMP_PDB_EXECUTION_ERROR or #GIMP_PDB_CALLING_ERROR.

Returns